Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class InvokeHandler

    java.lang.Object
      ix.ip2.ItemHandler
          ix.ip2.ForwardingHandler
              ix.ip2.InvokeHandler

All Implemented Interfaces:
  ContactListener, java.util.EventListener

    public class InvokeHandler

extends ForwardingHandler

Generates HandlerActions for an AgendItem.

Nested Class Summary
`(package private) class` | `InvokeHandler.InvokeAction`

Nested classes/interfaces inherited from class ix.ip2.ForwardingHandler
`ForwardingHandler.ForwardingAction`

Field Summary

Fields inherited from class ix.ip2.ForwardingHandler
`action, agent, capabilityDefault, contactManager, rel, reportBack`

Fields inherited from class ix.ip2.ItemHandler
`actionDescription`

Constructor Summary
`InvokeHandler(IXAgent agent)`

Method Summary
`ForwardingHandler.ForwardingAction` | `makeForwardingAction(java.lang.String toName, AgendaItem about)`

Methods inherited from class ix.ip2.ForwardingHandler
`addHandlerActions, contactChange, getToAgents, getToNames, handle, reviseHandlerActions, toString`

Methods inherited from class ix.ip2.ItemHandler
`appliesTo, getActionDescription, getSyntaxList, isAutomatic, makeHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvokeHandler

    public InvokeHandler(IXAgent agent)

Method Detail

### makeForwardingAction

    public ForwardingHandler.ForwardingAction makeForwardingAction(java.lang.String toName,
                                                                   AgendaItem about)

  Overrides:
    `makeForwardingAction` in class `ForwardingHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD